Visit our newest sister site!
Hundreds of free aircraft flight manuals
Civilian • Historical • Military • Declassified • FREE!


TUCoPS :: Linux :: Gentoo :: b06-3534.htm

Freetype: multiple integer overflows



FreeType: Multiple integer overflows
FreeType: Multiple integer overflows



--nextPart6920926.5SDcpQ4VIi
Content-Type: text/plain;
  charset="us-ascii"
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
Gentoo Linux Security Advisory                           GLSA 200607-02
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
http://security.gentoo.org/ 
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

  Severity: Normal
     Title: FreeType: Multiple integer overflows
      Date: July 09, 2006
      Bugs: #124828
        ID: 200607-02

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

Synopsis
=======
Multiple remotely exploitable buffer overflows have been discovered in
FreeType, resulting in the execution of arbitrary code.

Background
=========
FreeType is a portable font engine.

Affected packages
================
    -------------------------------------------------------------------
     Package              /   Vulnerable   /                Unaffected
    -------------------------------------------------------------------
  1  media-libs/freetype      < 2.1.10-r2                 >= 2.1.10-r2

Description
==========
Multiple integer overflows exist in a variety of files (bdf/bdflib.c,
sfnt/ttcmap.c, cff/cffgload.c, base/ftmac.c).

Impact
=====
A remote attacker could exploit these buffer overflows by enticing a
user to load a specially crafted font, which could result in the
execution of arbitrary code.

Workaround
=========
There is no known workaround at this time.

Resolution
=========
All FreeType users should upgrade to the latest stable version:

    # emerge --sync
    # emerge --ask --oneshot --verbose ">=media-libs/freetype-2.1.10-r2"

References
=========
  [ 1 ] CVE-2006-1861
http://www.cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-1861 

Availability
===========
This GLSA and any updates to it are available for viewing at
the Gentoo Security Website:

http://security.gentoo.org/glsa/glsa-200607-02.xml 

Concerns?
========
Security is a primary focus of Gentoo Linux and ensuring the
confidentiality and security of our users machines is of utmost
importance to us. Any security concerns should be addressed to
security@gentoo.org or alternatively, you may file a bug at 
http://bugs.gentoo.org. 

License
======
Copyright 2006 Gentoo Foundation, Inc; referenced text
belongs to its owner(s).

The contents of this document are licensed under the
Creative Commons - Attribution / Share Alike license.

http://creativecommons.org/licenses/by-sa/2.5 

--nextPart6920926.5SDcpQ4VIi
Content-Type: application/pgp-signature

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2.2 (GNU/Linux)

iD8DBQBEsS0ZzKC5hMHO6rkRAuf7AJ4oSVptvottO9vKMsLmwbCwwYkdpQCeOxGw
SOB7aUSsZhNbywevmnRb8eg=7GjL
-----END PGP SIGNATURE-----

--nextPart6920926.5SDcpQ4VIi--


TUCoPS is optimized to look best in Firefox® on a widescreen monitor (1440x900 or better).
Site design & layout copyright © 1986-2014 AOH